import type {MockerProxyRoute} from 'vue-cli-plugin-mocker';

export default {
  /* 直接返回 json 数据 */
  'GET /api/demo/user/list': [
    {
      id: 1,
      username: 'kenny',
      sex: 6,
    },
    {
      id: 2,
      username: 'kenny',
      sex: 6,
    },
  ], // <1>

  /* 路径查询参数 */
  '/api/demo/get': (req) => {
    const { query } = req; // <1>
    return {
      success: true,
      code: 0,
      message: 'ok',
      data: query,
    };
  },

  /* 路径占位符参数 */
  'GET /api/demo/:first/:second': (req, res) => {
    const { params } = req; // <1>
    return res.json({ success: true, code: 0, message: 'ok', data: params });
  },

  /* 获取请求体参数 */
  'POST /api/demo/login': (req) => {
    const {
      body: { username, password },
    } = req;
    console.log(req.body);
    if (username && password && username === 'demo' && password === '123456') {
      return { success: true, code: 0, message: 'ok', data: 'DEMO_TOKEN' };
    }
    if (!username && !password) {
      return { success: false, code: 10002, message: '用户名、密码不能为空' };
    }
    return { success: false, code: 10001, message: '用户名或密码错误' };
  },
  option: {},
} as MockerProxyRoute;
