import type { PluginAPI, ProjectOptions } from '@vue/cli-service';
import type { MockerOption } from './mocker';
export { MockerProxyRoute, MockerOption, MockerResult, MockerResultFunction } from './mocker';
export declare type MockerPluginOption = {
    /**
     * @description mocker 文件目录
     * @default mock
     */
    dir?: string;
    /**
     * @description 是否输出示例文件
     * @default true
     */
    demo?: boolean;
    /**
     * @description 使用mockjs模拟数据
     * @default true
     */
    mock?: boolean | MockerOption;
    [key: string]: any;
};
export declare const mockerOptions: MockerPluginOption;
declare const _default: (api: PluginAPI, projectOptions: ProjectOptions) => void;
export default _default;
