export declare type DelayOption = {
    /**
     * @description 最小延时时间 ms
     * @default 200
     */
    min?: number;
    /**
     * @description 延时时间 ms
     */
    time?: number;
    /**
     * @description 最大延时时间 ms
     * @default 600
     */
    max?: number;
};
/**
 * 延时返回数据
 * @param json
 * @param ms
 */
declare const delay: (json: unknown, ms: number | false | DelayOption) => Promise<unknown>;
export default delay;
